<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ElementalTasks extends Model
{
    use HasFactory;
    public $timestamps = false;

    protected $table = 'elemental_tasks';

    protected $primaryKey = 'elemental_tasks_id';

    public function orderEquipmentTasks()
    {
        return $this->hasMany(OrderEquipmentTasks::class,'elemental_tasks_id','elemental_tasks_id');
    }
    
    public function controlEquipmentWorkstation()
    {
        return $this->hasMany(ControlEquipmentWorkstation::class, 'elemental_tasks_id', 'elemental_tasks_id');
    }

    public function workstationsAssociationTasks()
    {
        return $this->hasMany(WorkstationsAssociationTasks::class,'elemental_tasks_id','elemental_tasks_id');
    }
}
